using Luticate2.Auth.Utils.Business.ExpressionConverter;
using Luticate2.Auth.Utils.Dbo.Fields;
using Luticate2.Auth.Utils.Dbo.Result;

namespace Luticate2.Auth.Utils.Interfaces
{
    public interface ILuObjectConverter
    {
        LuResult<object> Convert(object srcObj, LuPartialFieldsDbo fields, LuExpressionConverterOptions options);
    }

    public interface ILuObjectConverter<TTypeFrom, TTypeTo> : ILuObjectConverter
    {
    }

    public interface ILuObjectConverterIdentity : ILuObjectConverter
    {
    }
}