using System.Linq.Expressions;
using System.Reflection;
using Luticate2.Auth.Utils.Business.ExpressionConverter;

namespace Luticate2.Auth.Utils.Interfaces
{
    public interface ILuObjectConverterDescriptor
    {
        LambdaExpression GetMemberValueExpression(MemberInfo memberInfo, LuExpressionConverterOptions options);

        LambdaExpression GetMethodValueExpression(MethodInfo methodInfo, LuExpressionConverterOptions options);
    }

    public interface ILuObjectConverterDescriptor<TTypeFrom, TTypeTo> : ILuObjectConverterDescriptor
    {
    }

    public interface ILuObjectConverterDescriptorIdentity : ILuObjectConverterDescriptor
    {
    }
}